import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';
import Isvg from 'react-inlinesvg';
import * as reset from '../reset';

const Logo = (_ref) => {
  let { children, src } = _ref,
      rest = _objectWithoutProperties(_ref, ['children', 'src']);

  return React.createElement(
    Isvg,
    _extends({ src: src }, rest),
    children
  );
};

Logo.propTypes = process.env.NODE_ENV !== "production" ? {
  src: PropTypes.string.isRequired,
  children: PropTypes.node
} : {};

export default Logo;