import _Object$keys from 'babel-runtime/core-js/object/keys';
import { css } from 'styled-components';

const sizes = {
  largeDesktop: '1200px',
  desktop: '900px',
  tablet: '800px',
  phablet: '354px',
  phone: '320px'
};

export default _Object$keys(sizes).reduce((acc, label) => {
  acc[label] = (...args) => css`
    @media (min-width: ${sizes[label]}) {
      ${css(...args)};
    }
  `;
  return acc;
}, {});